Genivia - saml2__ConditionsType::__saml2__union_ConditionsType Struct Reference

|  | Home | Documentation | saml2__ConditionsType::__saml2__union_ConditionsType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__ConditionsType::__saml2__union_ConditionsType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__ConditionsType::__saml2__union_ConditionsType:
[legend]

## Public Attributes
struct saml2__ConditionAbstractType * | saml2__Condition
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Condition. More...
struct saml2__AudienceRestrictionType * | saml2__AudienceRestriction
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AudienceRestriction. More...
struct saml2__OneTimeUseType * | saml2__OneTimeUse
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"OneTimeUse. More...
struct saml2__ProxyRestrictionType * | saml2__ProxyRestriction
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"ProxyRestriction. More...

## Member Data Documentation

struct saml2__AudienceRestrictionType* saml2__ConditionsType::__saml2__union_ConditionsType::saml2__AudienceRestriction

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AudienceRestriction.

Choice of element (one of multiple choices).

struct saml2__ConditionAbstractType* saml2__ConditionsType::__saml2__union_ConditionsType::saml2__Condition

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Condition.

Choice of element (one of multiple choices).

struct saml2__OneTimeUseType* saml2__ConditionsType::__saml2__union_ConditionsType::saml2__OneTimeUse

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"OneTimeUse.

Choice of element (one of multiple choices).

struct saml2__ProxyRestrictionType* saml2__ConditionsType::__saml2__union_ConditionsType::saml2__ProxyRestriction

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"ProxyRestriction.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h